British dictionary Rated 1 out of 5 stars

As a loyal user of this plug in I was distressed to note the incompatibilty issue with FF25.

This review is for a previous version of the add-on (1.19.1). 

Hi there, this addon is compatible with Fx25